<?php

if (!function_exists('number_format_money')) {
  /**
   * Returns a default format money
   * @param string $str
   * @param integer $decimals
   * @return string a string
   * */
  function number_format_money($str, $decimals = 0)
  {
    return number_format($str,$decimals,',','.');
  }
  function format_decimal($str, $decimal_separator = ',')
  {
    $str_number = strval($str/1);
    return str_replace('.',$decimal_separator,$str_number);
  }
}