<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\User;
use Illuminate\Support\Facades\Session;

class ResendVerification extends Controller
{
    public function resendVerification($email) {
        $user = User::where('email',$email)->firstOrFail();
        if ($user->status_user === '0'){
            //email the user there key
            $user->sendEmailVerificationNotification();
            Session::flash('alert-success', 'Kami baru saja mengirimi Anda tautan verifikasi di email Anda ('.$user->email.') sekali lagi, silakan periksa.');
            return redirect()->back();
        }
        else {
            Session::flash('alert-warning', 'Email Anda sudah aktif, silakan hubungi kami di info@islamicda.com jika Anda memiliki masalah.');
            return redirect()->back();
        }
    }
}
