<?php

namespace App\Http\Middleware;

use Closure;
use App\User;

class CheckExistsStore
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $check_store_user = User::select('users.toko','toko.status_toko')
            ->leftJoin('toko','users.id','=','toko.id_user')
            ->where('id',$request->user()->id)->first();
        if ($check_store_user->toko == 1) {
            if($check_store_user->status_toko == '0'){
                return $next($request);
            }
        }
        return redirect()->route('home');
    }
}
