<?php

namespace App\Http\Controllers;

use App\Artikel;
use Illuminate\Http\Request;

class ArtikelController extends Controller
{
    public function index()
    {
        $artikels = Artikel::where('status_artikel','1')->get();
        return view('pages.artikel-all',compact('artikels'));
    }

    public function detailArtikel($slug)
    {
        $artikel = Artikel::where('slug_artikel',$slug)->first();
        if(is_null($artikel)){
            return redirect()->route('home');
        }
        $artikels = Artikel::where('status_artikel','1')->where('id_artikel','<>',$artikel->id_artikel)->take(4)->get();
        return view('pages.artikel-detail',compact('artikel','artikels'));
    }
}
