<?php

namespace App\Http\Controllers\Seller;

use App\Toko;
use App\Produk;
use App\OrderDetail;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;

class DashboardController extends Controller
{
    public function index()
    {
        $toko = Toko::where('id_user',Auth::guard('web')->user()->id)->first();
        $c_produk = Produk::where('id_toko',$toko->id_toko)->count();
        $c_new_order = OrderDetail::where('id_toko',$toko->id_toko)->where('status_order_detail','0')->groupBy('id_order')->count();
        $c_ready_send_order = OrderDetail::where('id_toko',$toko->id_toko)->where('status_order_detail','1')->groupBy('id_order')->count();
        $c_reject_order = OrderDetail::where('id_toko',$toko->id_toko)->where('status_order_detail','4')->groupBy('id_order')->count();
        return view('pages.seller.dashboard',compact('c_produk','c_new_order','c_ready_send_order','c_reject_order'));
    }
}
