<?php

namespace App\Http\View\Composers;

use App\ProfilWebsite;
use Illuminate\View\View;

class ProfilWebsiteComposer
{
    /**
     * Bind data to the view.
     *
     * @param  View  $view
     * @return void
     */
    public function compose(View $view)
    {
        $profil_website = ProfilWebsite::first();
        $view->with('profil_website', $profil_website);
    }
}